Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLDetailInfo

    java.lang.Object
      jet.api.BLDetailInfo

Direct Known Subclasses:
  BVDetailInfo

    public class BLDetailInfo

extends java.lang.Object

The BLDetailInfo defines the `Detail information` object of JReport BusinessLogic. The BusinessLogic of JReport is also called `Business cube` or `Report cube`.

Detail information objects provide additional information. It can be bound to a database field, group object, aggregation object or category/subcategory. Detail objects are used for displaying detailed field values such as address and phone number for a customer in a table or banded object. Detail objects cannot be used in crosstabs and charts.

Constructor Summary
`BLDetailInfo(java.lang.String refMappingName, java.lang.String name)` Constructor.

Method Summary
`java.lang.String` | `getDescription()` Gets the description of Detail
`java.lang.String` | `getDisplayName()` Gets the display name of Detail.
`java.lang.String` | `getName()` Gets the name of Detail.
`java.lang.String` | `getPrompt()` Gets the prompt text of Detail.
`java.lang.String` | `getRefMappingName()` Gets the referred resource name of Detail.
`void` | `setDescription(java.lang.String description)` Sets the description of Detail.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name of Detail.
`void` | `setName(java.lang.String name)` Sets the name of Detail.
`void` | `setPrompt(java.lang.String prompt)` Sets the prompt text of Detail.
`void` | `setRefMappingName(java.lang.String mappingName)` Sets the referred resource name of Detail.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLDetailInfo

    public BLDetailInfo(java.lang.String refMappingName,
                        java.lang.String name)

  Constructor. Creates a definition of JReport BusinessLogic Detail information object.

  Parameters:
    `name` - Indicates Detail name.
    `refMappingName` - Indicates field resource(mapping) name referred by Detail.

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of Detail.

  Parameters:
    `description` - The description of Detail.

### getDescription

    public java.lang.String getDescription()

  Gets the description of Detail

  Returns:
    the description of Detail.

### setPrompt

    public void setPrompt(java.lang.String prompt)

  Sets the prompt text of Detail.

  Parameters:
    `prompt` - The prompt text of Detail.

### getPrompt

    public java.lang.String getPrompt()

  Gets the prompt text of Detail.

  Returns:
    prompt text of Detail.

### setName

    public void setName(java.lang.String name)

  Sets the name of Detail.

  Parameters:
    `name` - The name of Detail.

### getName

    public java.lang.String getName()

  Gets the name of Detail.

  Returns:
    the name of Detail.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the display name of Detail.

  Parameters:
    `displayName` - The display name of Detail.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name of Detail.

  Returns:
    the display name of Detail.

### setRefMappingName

    public void setRefMappingName(java.lang.String mappingName)

  Sets the referred resource name of Detail.

  Parameters:
    `mappingName` - The referred resource name of Detail.

### getRefMappingName

    public java.lang.String getRefMappingName()

  Gets the referred resource name of Detail.

  Returns:
    the referred resource name of Detail.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD